import javax.naming.*;
import javax.naming.directory.*;

import java.util.Hashtable;

/**
 * Demonstrates how to create some attributes for use with LDAP.
 *
 * usage: java CreateAttrs
 */
class CreateAttrs {
    public static void main(String[] args) {
	byte[] buf = new byte[] {0, 1, 2, 3, 4, 5, 6, 7}; // same data

	// Create a multivalued attribute with 4 String values
	BasicAttribute oc = new BasicAttribute("objectClass", "top");
	oc.add("person");
	oc.add("organizationalPerson");
	oc.add("inetOrgPerson");

	// Create a binary attribute
	BasicAttribute photo = new BasicAttribute("jpegPhoto", buf);

	// Create attribute set
	BasicAttributes attrs = new BasicAttributes(true);
	attrs.put(oc);
	attrs.put(photo);
    }
}
